<?php
if (!function_exists('papr_activate_core')) {
    function papr_activate_core()
    {
        $id = 'axil-sidebar-sidebar-for-about-page';
        $sidebars = get_option('papr_custom_sidebars', array());

        if (!array_key_exists($id, $sidebars)) {
            // wp_send_json_error(esc_html__('Sidebar with the same name already exists. Please choose a different name', 'papr'));
            $sidebars[$id] = array(
                'id' => $id,
                'name' => esc_html__('Sidebar For About Page ', 'papr'),
                'class' => 'axil-custom',
                'description' => '',
                'before_widget' => '<aside id="%1$s" class="widget-sidebar widget %2$s widgets-sidebar">',
                'after_widget' => '</aside>',
                'before_title' => '<div class="widget-title"><h3>',
                'after_title' => '</h3></div>',
            );
            update_option('papr_custom_sidebars', $sidebars);

        }

        // ---------------

        $id = 'axil-sidebar-sidebar-for-home-3';
        $sidebars = get_option('papr_custom_sidebars', array());

        if (!array_key_exists($id, $sidebars)) {
            //  wp_send_json_error(esc_html__('Sidebar with the same name already exists. Please choose a different name', 'papr'));
            $sidebars[$id] = array(
                'id' => $id,
                'name' => esc_html__('Sidebar For Home 3 ', 'papr'),
                'class' => 'axil-custom',
                'description' => '',
                'before_widget' => '<aside id="%1$s" class="widget-sidebar widget %2$s widgets-sidebar">',
                'after_widget' => '</aside>',
                'before_title' => '<div class="widget-title"><h3>',
                'after_title' => '</h3></div>',
            );
            update_option('papr_custom_sidebars', $sidebars);
        }


    }
}
