<?php
/**
 * @author  Axilweb
 * @since   1.0
 * @version 1.0
 * @package axil-panels
 */

$prefix = AXIL_PANELS_FIX;
$papr_options 	= Helper::axil_get_options();
$axil_post_types = array(
	"team"     		=> array(
		'title'        			=> esc_html__('Team', 'axil-panels' ),
		'plural_title' 			=> esc_html__('Team', 'axil-panels' ),
		'menu_icon'    			=> 'dashicons-businessman',
		'rewrite'      			=> $papr_options['team_slug'],
		'supports'     			=> array( 'title', 'thumbnail', 'editor', 'excerpt', 'page-attributes' )
	),	
);

$axil_taxonomies = array(
	"team_category"        	=> array(
		'title'        				 	=> esc_html__( 'Category', 'xmet-panels' ),
		'plural_title' 				 	=> esc_html__( 'Categories', 'xmet-panels' ),
		'post_types'   				 	=> "team",		
		'rewrite' 	   				 	=> array('slug' => $papr_options['team_cat_slug']),
	),
	
);
$axil_Posts = AXIL_Posttype::getInstance();
$axil_Posts->AXIL_post_types_add( $axil_post_types );
$axil_Posts->AXIL_taxonomies_add( $axil_taxonomies );
