<?php
error_reporting(0);
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */
define('BLOGWAVES_PRO_THEME_URI', get_template_directory_uri());
define('BLOGWAVES_PRO_THEME_DIR', get_template_directory());
define('BLOGWAVES_PRO_CSS_URL', get_template_directory_uri() . '/assets/css/');
define('BLOGWAVES_PRO_RTL_URL', get_template_directory_uri() . '/assets/css-auto-rtl/');
define('BLOGWP_BLOG_THEME_NAME','blogwaves-pro');

define('BLOGWAVES_PRO_ADMIN_CSS_URL', get_template_directory_uri() . '/assets/admin/css/');
define('BLOGWAVES_PRO_JS_URL', get_template_directory_uri() . '/assets/js/');
define('BLOGWAVES_PRO_ADMIN_JS_URL', get_template_directory_uri() . '/assets/admin/js/');
define('BLOGWAVES_PRO_FONTS_URL', get_template_directory_uri() . '/assets/fonts/font-awesome/css');
define('BLOGWAVES_PRO_IMG_URL', BLOGWAVES_PRO_THEME_URI . '/assets/img/');
define('BLOGWAVES_PRO_WOOCMMERCE', BLOGWAVES_PRO_THEME_DIR . '/woocommerce/custom/');
define('BLOGWAVES_PRO_FREAMWORK_DIRECTORY', BLOGWAVES_PRO_THEME_DIR . '/inc/');
define('BLOGWAVES_PRO_FREAMWORK_LAB', BLOGWAVES_PRO_THEME_DIR . '/inc/lab/');
define('BLOGWAVES_PRO_FREAMWORK_DIRECTORY_VIEW', BLOGWAVES_PRO_THEME_DIR . '/inc/views/');
define('BLOGWAVES_PRO_PLUGINS_DIR', BLOGWAVES_PRO_THEME_DIR . '/inc/plugin-bundle/');

define('BLOGWAVES_PRO_FREAMWORK_HELPER', BLOGWAVES_PRO_THEME_DIR . '/inc/helper/');
define('BLOGWAVES_PRO_FREAMWORK_RI', BLOGWAVES_PRO_THEME_DIR . '/inc/redux-include/');
define('BLOGWAVES_PRO_FREAMWORK_DS', BLOGWAVES_PRO_THEME_DIR . '/inc/dynamic-style/');
define('BLOGWAVES_PRO_FREAMWORK_TP', BLOGWAVES_PRO_THEME_DIR . '/template-parts/');
$axi_theme_data = wp_get_theme();
$action = 'axil_theme_init';
do_action($action);
define('BLOGWAVES_PRO_VERSION', (WP_DEBUG) ? time() : $axi_theme_data->get('Version'));
define('BLOGWAVES_PRO_AUTHOR_URI', $axi_theme_data->get('AuthorURI'));
define('BLOGWAVES_PRO_PRFX', BLOGWP_BLOG_THEME_NAME);
define('BLOGWAVES_PRO_WIDGET_PREFIX', BLOGWP_BLOG_THEME_NAME);
define('BLOGWAVES_PRO_THEME_PREFIX', BLOGWP_BLOG_THEME_NAME);
define('BLOGWAVES_PRO_THEME_FIX', 'axil');


if (version_compare(PHP_VERSION, '5.3', '>=')) {
    /*
    * plugin.php has to load to know which plugin is active
    */
    require_once(ABSPATH . 'wp-admin/includes/plugin.php');
    /*
    * Enable support TGM features.
    */
    // helper trait
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "elementor-loaded-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "icon-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "menu-area-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "social-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "footer-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "advertisements-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "pagination-trai.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "page-title-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "post-metas-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "option-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "post-image-trait.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "layout-trait.php");
    // helper
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "helper.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_HELPER . "helper-post.php");
    // axilsetup
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "theme-setup.php");
    //related
    require_once(BLOGWAVES_PRO_FREAMWORK_TP . "post-related-grid.php");
    // inc
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "tgm-config.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "demo-import-config.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "register-custom-fonts.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "scripts.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_DIRECTORY . "general-widget.php");
    //redux include
    require_once(BLOGWAVES_PRO_FREAMWORK_RI . "redux-help.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_RI . "redux-init.php");
    //dynamic-style
    require_once(BLOGWAVES_PRO_FREAMWORK_DS . "style-scripts.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_DS . "customizer.php");
    // Lab
    require_once(BLOGWAVES_PRO_FREAMWORK_LAB . "class-tgm-plugin-activation.php");
    require_once(BLOGWAVES_PRO_FREAMWORK_LAB . "axil-post-views.php");
    // -- Nav Walker
    require_once(BLOGWAVES_PRO_FREAMWORK_LAB . "aw-nav-menu-walker.php");


    // WooCommerce
    if (class_exists('WooCommerce')) {
        require_once(BLOGWAVES_PRO_WOOCMMERCE . "wooc-functions.php");
        require_once(BLOGWAVES_PRO_WOOCMMERCE . "wooc-hooks.php");
    }

} else {

    add_filter('template_include', 'axil_php_template', 99);
    add_action('admin_notices', 'axil_php_version');
    function axil_php_template($template)
    {
        $template = locate_template(array('fallback.php'));
        return $template;
    }

    function axil_php_version()
    {
        $msg = sprintf(esc_html__('Error: Your current PHP version is %s. You need at least PHP version 5.4+ . Please upgrade your PHP version 5.4+', BLOGWP_BLOG_THEME_NAME), PHP_VERSION);
        echo '<div class="error">' . $msg . '</div>';
    }
}
add_editor_style('style-editor.css');


/**
 * Escapeing
 */
if (!function_exists('axilescap')) {
    function axilescap($html)
    {
        return $html;
    }
}


/**
 * Shared Counts, add a Big Block style
 * @see https://sharedcountsplugin.com/2019/05/13/creating-new-button-styles/
 *
 * @param array $styles
 * @return array
 */
if (!function_exists('axil_shared_counts_styles')) {
    function axil_shared_counts_styles($styles)
    {
        $styles['axil_style'] = esc_html__('Blogwaves Pro Style', BLOGWP_BLOG_THEME_NAME);
        return $styles;
    }

    add_filter('shared_counts_styles', 'axil_shared_counts_styles');
}

/**
 * Move Shared Counts
 * @see https://sharedcountsplugin.com/2019/03/27/change-the-theme-location-for-share-buttons/
 *
 * @param array $locations
 * @return array
 */
function axil_shared_counts_location($locations)
{
    $locations['after']['hook'] = 'after_post_content';
    $locations['after']['filter'] = false;

    $locations['before']['hook'] = 'before_post_content';
    $locations['before']['filter'] = false;
    return $locations;
}

add_filter('shared_counts_theme_locations', 'axil_shared_counts_location');

/*function onChange( event ) {
  props.setAttributes( { authorCount: Number( event.target.value ) } );
}*/


/**
 * Shared Counts - change buttons in "Before Content" location
 * @see https://sharedcountsplugin.com/2019/03/27/display-different-buttons-in-each-location/
 */
function axil_total_shared_counts($services, $location)
{
    if ('blogwaves-pro-meta' === $location) {
        $services = array('included_total');
    }
    return $services;
}

add_filter('shared_counts_display_services', 'axil_total_shared_counts', 10, 2);


/**
 * Aallowed svg types
 * @see https://codex.wordpress.org/Plugin_API/Filter_Reference/upload_mimes
 */
function axil_mime_types($mimes)
{
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}

add_filter('upload_mimes', 'axil_mime_types');


/**
 * Maintenance Mode
 */
add_action('template_include', 'under_construction_mode_enable', 999);

function under_construction_mode_enable($template)
{
    $blogwaves_pro_options = Helper::axil_get_options();

    if (!class_exists('ReduxFramework')) {
        return $template;
    }

    $enable = (isset($blogwaves_pro_options['under_construction_mode_enable'])) ? $blogwaves_pro_options['under_construction_mode_enable'] : 'off';

    $enable = isset($_GET['emm']) ? '1' : $enable;

    if (is_user_logged_in() || 'off' === $enable) {
        return $template;
    }


    $maintenance_mode = true;

    if (!$maintenance_mode) {
        return $template;
    }

    $new_template = locate_template(array('construction.php'));
    if ('' != $new_template) {
        return $new_template;
    }

    return $template;

}


/**
 * Escapeing
 */
if (!function_exists('awescapeing')) {
    function awescapeing($html)
    {
        return $html;
    }
}

/**
 * Remove Edit Page Link Form UnderConstruction Template
 */
function blogwaves_pro_add_custom_edit_menu_for_construction()
{
    global $wp_admin_bar;
    if (class_exists('Redux')) {
        if (is_page_template('construction.php')) {
            $wp_admin_bar->remove_menu('edit');
        }
    }
}

add_action('wp_before_admin_bar_render', 'blogwaves_pro_add_custom_edit_menu_for_construction');

/**
 * blogwaves_pro Unique ID
 */
function blogwaves_pro_unique_id($prefix = '')
{
    static $id_counter = 0;
    if (function_exists('wp_unique_id')) {
        return wp_unique_id($prefix);
    }
    return $prefix . (string)++$id_counter;
}


/**
 * Set the excerpt length based on a theme option
 */
if ( ! function_exists('axil_excerpt_length')){
    function axil_excerpt_length($length)
    {
        $blogwaves_pro_options = Helper::axil_get_options();
        $custom_number = $blogwaves_pro_options['blog_content_number'];
        if ($custom_number != '') {
            return $length = intval($custom_number);
        } else {
            return $length;
        }
    }

    add_filter('excerpt_length', 'axil_excerpt_length', 999);
}


/**
 * Remove more or […] text from short post
 */
if (!function_exists('axil_excerpt_more')) {
    function axil_excerpt_more($more)
    {
        return '';
    }

    add_filter('excerpt_more', 'axil_excerpt_more');
}