<?php

/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */
trait socialTrait
{

    public static function socials()
    {
        $blogwaves_pro_options = self::axil_get_options();
        $blogwp_socials = array(
            'social_facebook' => array(
                'icon' => 'fa-facebook-f',
                'url' => $blogwaves_pro_options['social_facebook'],
            ),
            'social_twitter' => array(
                'icon' => 'fa-twitter',
                'url' => $blogwaves_pro_options['social_twitter'],
            ),
            'social_linkedin' => array(
                'icon' => 'fa-linkedin-in',
                'url' => $blogwaves_pro_options['social_linkedin'],
            ),
            'social_youtube' => array(
                'icon' => 'fa-youtube',
                'url' => $blogwaves_pro_options['social_youtube'],
            ),
            'social_pinterest' => array(
                'icon' => 'fa-pinterest',
                'url' => $blogwaves_pro_options['social_pinterest'],
            ),
            'social_instagram' => array(
                'icon' => 'fa-instagram',
                'url' => $blogwaves_pro_options['social_instagram'],
            ),
        );
        return array_filter($blogwp_socials, array(__CLASS__, 'filter_social'));
    }

    public static function filter_social($args)
    {
        return ($args['url'] != '');
    }

}
