<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */
$blogwaves_pro_options = Helper::axil_get_options();
$blogwp_image_size = 'axil-size-md2';
$post_id = get_the_ID();
$author = $post->post_author;
$blogwp_post_or_page_cat = get_the_category($post_id);
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="axil-img-container m-b-xs-30">
        <?php Helper::get_generate_author_thumbnail_image($post_id, $class = "m-r-xs-30", $blogwp_image_size); ?>
        <div class="media grad-overlay position-absolute">
            <div class="media-body justify-content-end">
                <?php if ($blogwaves_pro_options['author_cats'] && !empty($blogwp_post_or_page_cat)) { ?>
                    <div class="axil-img-cat post-cat-group m-b-xs-10">
                        <?php echo axil_get_the_category($post_id); ?>
                    </div>
                <?php } ?>
                <div class="axil-media-bottom">
                    <h3 class="axil-post-title hover-line hover-line"><a href="<?php the_permalink(); ?>"
                                                                         class="entry-title"
                                                                         rel="bookmark"><?php the_title(); ?></a>
                    </h3>
                    <?php echo Helper::AxilAuthorPostMetas($post_id, $author); ?>
                </div>
            </div>
        </div>
    </div>
</div>

