<?php
/**
 * @author  Blogwp
 * @since   1.0
 * @version 1.0
 * @package blogwaves-pro
 */

$opt_name = BLOGWAVES_PRO_THEME_PREFIX . '_options';
Redux::setSection($opt_name,
    array(
        'title' => esc_html__('Off-Canvas Menu', BLOGWP_BLOG_THEME_NAME),
        'id' => 'header_off_canvas_section',
        'heading' => esc_html__('Off-Canvas Menu', BLOGWP_BLOG_THEME_NAME),
        'icon' => 'el el-flag',
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'offcanvas_area',
                'type' => 'switch',
                'title' => esc_html__('Off-Canvas Area', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => false,
                'subtitle' => esc_html__('Show/hide off-canvas area.', BLOGWP_BLOG_THEME_NAME),
            ),

            array(
                'id' => 'offcanvas_search',
                'type' => 'switch',
                'title' => esc_html__('Off-Canvas Search', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
                'subtitle' => esc_html__('Show/hide search form off-canvas menu area.', BLOGWP_BLOG_THEME_NAME),
                'required' => array('offcanvas_area', 'equals', true),
            ),
            array(
                'id' => 'offcanvas_menu',
                'type' => 'switch',
                'title' => esc_html__('Off-Canvas Menu', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
                'subtitle' => esc_html__('Show/hide menu form off-canvas menu area.', BLOGWP_BLOG_THEME_NAME),
                'required' => array('offcanvas_area', 'equals', true),
            ),
            array(
                'id' => 'offcanvas_contact_info',
                'type' => 'switch',
                'title' => esc_html__('Off-Canvas Contact Info', BLOGWP_BLOG_THEME_NAME),
                'on' => esc_html__('Enabled', BLOGWP_BLOG_THEME_NAME),
                'off' => esc_html__('Disabled', BLOGWP_BLOG_THEME_NAME),
                'default' => true,
                'subtitle' => esc_html__('Show/hide contact info form off-canvas menu area.', BLOGWP_BLOG_THEME_NAME),
                'required' => array('offcanvas_area', 'equals', true),
            ),
        )
    )
);

